#pragma once

#include <stdint.h>

#define LOGGER_SIZE 2000

struct LogEntry
{
    //int16_t cos;
    //int16_t sin;
    int16_t x;
    int16_t y;   
};

class Logger
{
    public:
    Logger();
    void log();
    void dump();
    bool isFull();
    
    LogEntry entries[LOGGER_SIZE];
    
    // The index of the next entry to write to.
    int32_t entryIndex;
};

